CREATE VIEW event_tags_view AS
SELECT 
    t.event_id,
    t.tag_index,
    t.tag_name,
    v.value as tag_value,
    v.value_position as tag_value_position
FROM event_tags t
LEFT JOIN event_tags_values v ON t.tag_id = v.tag_id
ORDER BY t.tag_index, v.value_position;